org.apache.olingo.client.api.http

## Class HttpClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.olingo.client.api.http.HttpClientException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NoContentException

      public class HttpClientException
      extends RuntimeException

  A client-side processing runtime exception. The exception is thrown during HTTP request invocation processing, to signal a failure to process the HTTP request or response. The exception message or nested `Throwable` cause SHOULD contain additional information about the reason of the processing failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpClientException(String message)` Constructs a new client-side runtime exception with the specified detail message.
    `HttpClientException(String message, Throwable cause)` Constructs a new client-side runtime exception with the specified detail message and cause.
    `HttpClientException(Throwable cause)` Constructs a new client-side runtime exception with the specified cause and a detail message of {@code (cause==null ?

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpClientException

          public HttpClientException(Throwable cause)

      Constructs a new client-side runtime exception with the specified cause and a detail message of `(cause==null ? null : cause.getName())` (which typically contains the class and detail message of `cause`). This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### HttpClientException

          public HttpClientException(String message,
                                     Throwable cause)

      Constructs a new client-side runtime exception with the specified detail message and cause.
      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### HttpClientException

          public HttpClientException(String message)

      Constructs a new client-side runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.